
_SHT_Reset:

;SHT_Sensors.c,58 :: 		void SHT_Reset() {
;SHT_Sensors.c,59 :: 		if(Select == 1) {
	MOVF        _Select+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L_SHT_Reset0
;SHT_Sensors.c,60 :: 		SCL1 = 0;                              // SCL low
	BCF         RB1_bit+0, 1 
;SHT_Sensors.c,61 :: 		SDA1_Direction = 1;                    // define SDA as input
	BSF         TRISB0_bit+0, 0 
;SHT_Sensors.c,62 :: 		for (i = 1; i <= 10; i++)              // repeat 10 times
	MOVLW       1
	MOVWF       _i+0 
L_SHT_Reset1:
	MOVF        _i+0, 0 
	SUBLW       10
	BTFSS       STATUS+0, 0 
	GOTO        L_SHT_Reset2
;SHT_Sensors.c,63 :: 		SCL1 = ~SCL1;                        // invert SCL
	BTG         RB1_bit+0, 1 
;SHT_Sensors.c,62 :: 		for (i = 1; i <= 10; i++)              // repeat 10 times
	INCF        _i+0, 1 
;SHT_Sensors.c,63 :: 		SCL1 = ~SCL1;                        // invert SCL
	GOTO        L_SHT_Reset1
L_SHT_Reset2:
;SHT_Sensors.c,64 :: 		}
L_SHT_Reset0:
;SHT_Sensors.c,65 :: 		if(Select == 2) {
	MOVF        _Select+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L_SHT_Reset4
;SHT_Sensors.c,66 :: 		SCL2 = 0;                              // SCL low
	BCF         RB3_bit+0, 3 
;SHT_Sensors.c,67 :: 		SDA2_Direction = 1;                    // define SDA as input
	BSF         TRISB2_bit+0, 2 
;SHT_Sensors.c,68 :: 		for (i = 1; i <= 10; i++)              // repeat 10 times
	MOVLW       1
	MOVWF       _i+0 
L_SHT_Reset5:
	MOVF        _i+0, 0 
	SUBLW       10
	BTFSS       STATUS+0, 0 
	GOTO        L_SHT_Reset6
;SHT_Sensors.c,69 :: 		SCL2 = ~SCL2;                        // invert SCL
	BTG         RB3_bit+0, 3 
;SHT_Sensors.c,68 :: 		for (i = 1; i <= 10; i++)              // repeat 10 times
	INCF        _i+0, 1 
;SHT_Sensors.c,69 :: 		SCL2 = ~SCL2;                        // invert SCL
	GOTO        L_SHT_Reset5
L_SHT_Reset6:
;SHT_Sensors.c,70 :: 		}
L_SHT_Reset4:
;SHT_Sensors.c,71 :: 		}
	RETURN      0
; end of _SHT_Reset

_Transmission_Start:

;SHT_Sensors.c,74 :: 		void Transmission_Start() {
;SHT_Sensors.c,75 :: 		if(Select == 1){
	MOVF        _Select+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L_Transmission_Start8
;SHT_Sensors.c,76 :: 		SDA1_Direction = 1;                     // define SDA as input
	BSF         TRISB0_bit+0, 0 
;SHT_Sensors.c,77 :: 		SCL1 = 1;                               // SCL high
	BSF         RB1_bit+0, 1 
;SHT_Sensors.c,78 :: 		Delay_1us();                           // 1us delay
	CALL        _Delay_1us+0, 0
;SHT_Sensors.c,79 :: 		SDA1_Direction = 0;                     // define SDA as output
	BCF         TRISB0_bit+0, 0 
;SHT_Sensors.c,80 :: 		SDA1 = 0;                               // SDA low
	BCF         RB0_bit+0, 0 
;SHT_Sensors.c,81 :: 		Delay_1us();                           // 1us delay
	CALL        _Delay_1us+0, 0
;SHT_Sensors.c,82 :: 		SCL1 = 0;                               // SCL low
	BCF         RB1_bit+0, 1 
;SHT_Sensors.c,83 :: 		Delay_1us();                           // 1us delay
	CALL        _Delay_1us+0, 0
;SHT_Sensors.c,84 :: 		SCL1 = 1;                               // SCL high
	BSF         RB1_bit+0, 1 
;SHT_Sensors.c,85 :: 		Delay_1us();                           // 1us delay
	CALL        _Delay_1us+0, 0
;SHT_Sensors.c,86 :: 		SDA1_Direction = 1;                     // define SDA as input
	BSF         TRISB0_bit+0, 0 
;SHT_Sensors.c,87 :: 		Delay_1us();                           // 1us delay
	CALL        _Delay_1us+0, 0
;SHT_Sensors.c,88 :: 		SCL1 = 0;                               // SCL low
	BCF         RB1_bit+0, 1 
;SHT_Sensors.c,89 :: 		}
L_Transmission_Start8:
;SHT_Sensors.c,91 :: 		if(Select == 2){
	MOVF        _Select+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L_Transmission_Start9
;SHT_Sensors.c,92 :: 		SDA2_Direction = 1;                     // define SDA as input
	BSF         TRISB2_bit+0, 2 
;SHT_Sensors.c,93 :: 		SCL2 = 1;                               // SCL high
	BSF         RB3_bit+0, 3 
;SHT_Sensors.c,94 :: 		Delay_1us();                           // 1us delay
	CALL        _Delay_1us+0, 0
;SHT_Sensors.c,95 :: 		SDA2_Direction = 0;                     // define SDA as output
	BCF         TRISB2_bit+0, 2 
;SHT_Sensors.c,96 :: 		SDA2 = 0;                               // SDA low
	BCF         RB2_bit+0, 2 
;SHT_Sensors.c,97 :: 		Delay_1us();                           // 1us delay
	CALL        _Delay_1us+0, 0
;SHT_Sensors.c,98 :: 		SCL2 = 0;                               // SCL low
	BCF         RB3_bit+0, 3 
;SHT_Sensors.c,99 :: 		Delay_1us();                           // 1us delay
	CALL        _Delay_1us+0, 0
;SHT_Sensors.c,100 :: 		SCL2 = 1;                               // SCL high
	BSF         RB3_bit+0, 3 
;SHT_Sensors.c,101 :: 		Delay_1us();                           // 1us delay
	CALL        _Delay_1us+0, 0
;SHT_Sensors.c,102 :: 		SDA2_Direction = 1;                     // define SDA as input
	BSF         TRISB2_bit+0, 2 
;SHT_Sensors.c,103 :: 		Delay_1us();                           // 1us delay
	CALL        _Delay_1us+0, 0
;SHT_Sensors.c,104 :: 		SCL2 = 0;                               // SCL low
	BCF         RB3_bit+0, 3 
;SHT_Sensors.c,105 :: 		}
L_Transmission_Start9:
;SHT_Sensors.c,106 :: 		}
	RETURN      0
; end of _Transmission_Start

_MCU_ACK:

;SHT_Sensors.c,109 :: 		void MCU_ACK() {
;SHT_Sensors.c,111 :: 		if(Select == 1){
	MOVF        _Select+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L_MCU_ACK10
;SHT_Sensors.c,112 :: 		SDA1_Direction = 0;     // define SDA as output
	BCF         TRISB0_bit+0, 0 
;SHT_Sensors.c,113 :: 		SDA1 = 0;               // SDA low
	BCF         RB0_bit+0, 0 
;SHT_Sensors.c,114 :: 		SCL1 = 1;               // SCL high
	BSF         RB1_bit+0, 1 
;SHT_Sensors.c,115 :: 		Delay_1us();           // 1us delay
	CALL        _Delay_1us+0, 0
;SHT_Sensors.c,116 :: 		SCL1 = 0;               // SCL low
	BCF         RB1_bit+0, 1 
;SHT_Sensors.c,117 :: 		Delay_1us();           // 1us delay
	CALL        _Delay_1us+0, 0
;SHT_Sensors.c,118 :: 		SDA1_Direction = 1;     // define SDA as input
	BSF         TRISB0_bit+0, 0 
;SHT_Sensors.c,119 :: 		}
L_MCU_ACK10:
;SHT_Sensors.c,120 :: 		if(Select == 2){
	MOVF        _Select+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L_MCU_ACK11
;SHT_Sensors.c,121 :: 		SDA2_Direction = 0;     // define SDA as output
	BCF         TRISB2_bit+0, 2 
;SHT_Sensors.c,122 :: 		SDA2 = 0;               // SDA low
	BCF         RB2_bit+0, 2 
;SHT_Sensors.c,123 :: 		SCL2 = 1;               // SCL high
	BSF         RB3_bit+0, 3 
;SHT_Sensors.c,124 :: 		Delay_1us();           // 1us delay
	CALL        _Delay_1us+0, 0
;SHT_Sensors.c,125 :: 		SCL2 = 0;               // SCL low
	BCF         RB3_bit+0, 3 
;SHT_Sensors.c,126 :: 		Delay_1us();           // 1us delay
	CALL        _Delay_1us+0, 0
;SHT_Sensors.c,127 :: 		SDA2_Direction = 1;     // define SDA as input
	BSF         TRISB2_bit+0, 2 
;SHT_Sensors.c,128 :: 		}
L_MCU_ACK11:
;SHT_Sensors.c,129 :: 		}
	RETURN      0
; end of _MCU_ACK

_Measure:

;SHT_Sensors.c,132 :: 		long int Measure(short command) {
;SHT_Sensors.c,133 :: 		j = command;                           // j = command (0x03 or 0x05)
	MOVF        FARG_Measure_command+0, 0 
	MOVWF       _j+0 
;SHT_Sensors.c,134 :: 		SHT_Reset();                       // procedure for reseting SHT11
	CALL        _SHT_Reset+0, 0
;SHT_Sensors.c,135 :: 		Transmission_Start();              // procedure for sTmprting transmission
	CALL        _Transmission_Start+0, 0
;SHT_Sensors.c,136 :: 		k = 0;                             // k = 0
	CLRF        _k+0 
	CLRF        _k+1 
	CLRF        _k+2 
	CLRF        _k+3 
;SHT_Sensors.c,137 :: 		if(Select == 1){
	MOVF        _Select+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L_Measure12
;SHT_Sensors.c,138 :: 		SDA1_Direction = 0;                 // define SDA as output
	BCF         TRISB0_bit+0, 0 
;SHT_Sensors.c,139 :: 		SCL1 = 0;                           // SCL low
	BCF         RB1_bit+0, 1 
;SHT_Sensors.c,140 :: 		for(i = 1; i <= 8; i++) {          // repeat 8 times
	MOVLW       1
	MOVWF       _i+0 
L_Measure13:
	MOVF        _i+0, 0 
	SUBLW       8
	BTFSS       STATUS+0, 0 
	GOTO        L_Measure14
;SHT_Sensors.c,141 :: 		if (j.F7 == 1)                   // if bit 7 = 1
	BTFSS       _j+0, 7 
	GOTO        L_Measure16
;SHT_Sensors.c,142 :: 		SDA1_Direction = 1;              // define SDA as input
	BSF         TRISB0_bit+0, 0 
	GOTO        L_Measure17
L_Measure16:
;SHT_Sensors.c,144 :: 		SDA1_Direction = 0;              // define SDA as output
	BCF         TRISB0_bit+0, 0 
;SHT_Sensors.c,145 :: 		SDA1 = 0;                        // SDA low
	BCF         RB0_bit+0, 0 
;SHT_Sensors.c,146 :: 		}
L_Measure17:
;SHT_Sensors.c,147 :: 		Delay_1us();                     // 1us delay
	CALL        _Delay_1us+0, 0
;SHT_Sensors.c,148 :: 		SCL1 = 1;                         // SCL high
	BSF         RB1_bit+0, 1 
;SHT_Sensors.c,149 :: 		Delay_1us();                     // 1us delay
	CALL        _Delay_1us+0, 0
;SHT_Sensors.c,150 :: 		SCL1 = 0;                         // SCL low
	BCF         RB1_bit+0, 1 
;SHT_Sensors.c,151 :: 		j <<= 1;                         // move contents of j one place left
	RLCF        _j+0, 1 
	BCF         _j+0, 0 
;SHT_Sensors.c,140 :: 		for(i = 1; i <= 8; i++) {          // repeat 8 times
	INCF        _i+0, 1 
;SHT_Sensors.c,152 :: 		}
	GOTO        L_Measure13
L_Measure14:
;SHT_Sensors.c,154 :: 		SDA1_Direction = 1;                 // define SDA as input
	BSF         TRISB0_bit+0, 0 
;SHT_Sensors.c,155 :: 		SCL1 = 1;                           // SCL high
	BSF         RB1_bit+0, 1 
;SHT_Sensors.c,156 :: 		Delay_1us();                       // 1us delay
	CALL        _Delay_1us+0, 0
;SHT_Sensors.c,157 :: 		SCL1 = 0;                           // SCL low
	BCF         RB1_bit+0, 1 
;SHT_Sensors.c,158 :: 		Delay_1us();                       // 1us delay
	CALL        _Delay_1us+0, 0
;SHT_Sensors.c,159 :: 		while (SDA1 == 1)                   // while SDA is high, do nothing
L_Measure18:
	BTFSS       RB0_bit+0, 0 
	GOTO        L_Measure19
;SHT_Sensors.c,160 :: 		Delay_1us();                     // 1us delay
	CALL        _Delay_1us+0, 0
	GOTO        L_Measure18
L_Measure19:
;SHT_Sensors.c,162 :: 		for (i = 1; i <=16; i++) {         // repeat 16 times
	MOVLW       1
	MOVWF       _i+0 
L_Measure20:
	MOVF        _i+0, 0 
	SUBLW       16
	BTFSS       STATUS+0, 0 
	GOTO        L_Measure21
;SHT_Sensors.c,163 :: 		k <<= 1;                         // move contents of k one place left
	RLCF        _k+0, 1 
	BCF         _k+0, 0 
	RLCF        _k+1, 1 
	RLCF        _k+2, 1 
	RLCF        _k+3, 1 
;SHT_Sensors.c,164 :: 		SCL1 = 1;                         // SCL high
	BSF         RB1_bit+0, 1 
;SHT_Sensors.c,165 :: 		if (SDA1 == 1)                    // if SDA is high
	BTFSS       RB0_bit+0, 0 
	GOTO        L_Measure23
;SHT_Sensors.c,166 :: 		k = k | 0x0001;
	BSF         _k+0, 0 
L_Measure23:
;SHT_Sensors.c,167 :: 		SCL1 = 0;
	BCF         RB1_bit+0, 1 
;SHT_Sensors.c,168 :: 		if (i == 8)                      // if counter i = 8 then
	MOVF        _i+0, 0 
	XORLW       8
	BTFSS       STATUS+0, 2 
	GOTO        L_Measure24
;SHT_Sensors.c,169 :: 		MCU_ACK();                     // MCU acknowledge
	CALL        _MCU_ACK+0, 0
L_Measure24:
;SHT_Sensors.c,162 :: 		for (i = 1; i <=16; i++) {         // repeat 16 times
	INCF        _i+0, 1 
;SHT_Sensors.c,170 :: 		}
	GOTO        L_Measure20
L_Measure21:
;SHT_Sensors.c,171 :: 		}
L_Measure12:
;SHT_Sensors.c,173 :: 		if(Select == 2){
	MOVF        _Select+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L_Measure25
;SHT_Sensors.c,174 :: 		SDA2_Direction = 0;                 // define SDA as output
	BCF         TRISB2_bit+0, 2 
;SHT_Sensors.c,175 :: 		SCL2 = 0;                           // SCL low
	BCF         RB3_bit+0, 3 
;SHT_Sensors.c,176 :: 		for(i = 1; i <= 8; i++) {          // repeat 8 times
	MOVLW       1
	MOVWF       _i+0 
L_Measure26:
	MOVF        _i+0, 0 
	SUBLW       8
	BTFSS       STATUS+0, 0 
	GOTO        L_Measure27
;SHT_Sensors.c,177 :: 		if (j.F7 == 1)                   // if bit 7 = 1
	BTFSS       _j+0, 7 
	GOTO        L_Measure29
;SHT_Sensors.c,178 :: 		SDA2_Direction = 1;              // define SDA as input
	BSF         TRISB2_bit+0, 2 
	GOTO        L_Measure30
L_Measure29:
;SHT_Sensors.c,180 :: 		SDA2_Direction = 0;              // define SDA as output
	BCF         TRISB2_bit+0, 2 
;SHT_Sensors.c,181 :: 		SDA2 = 0;                        // SDA low
	BCF         RB2_bit+0, 2 
;SHT_Sensors.c,182 :: 		}
L_Measure30:
;SHT_Sensors.c,183 :: 		Delay_1us();                     // 1us delay
	CALL        _Delay_1us+0, 0
;SHT_Sensors.c,184 :: 		SCL2 = 1;                         // SCL high
	BSF         RB3_bit+0, 3 
;SHT_Sensors.c,185 :: 		Delay_1us();                     // 1us delay
	CALL        _Delay_1us+0, 0
;SHT_Sensors.c,186 :: 		SCL2 = 0;                         // SCL low
	BCF         RB3_bit+0, 3 
;SHT_Sensors.c,187 :: 		j <<= 1;                         // move contents of j one place left
	RLCF        _j+0, 1 
	BCF         _j+0, 0 
;SHT_Sensors.c,176 :: 		for(i = 1; i <= 8; i++) {          // repeat 8 times
	INCF        _i+0, 1 
;SHT_Sensors.c,188 :: 		}
	GOTO        L_Measure26
L_Measure27:
;SHT_Sensors.c,190 :: 		SDA2_Direction = 1;                 // define SDA as input
	BSF         TRISB2_bit+0, 2 
;SHT_Sensors.c,191 :: 		SCL2 = 1;                           // SCL high
	BSF         RB3_bit+0, 3 
;SHT_Sensors.c,192 :: 		Delay_1us();                       // 1us delay
	CALL        _Delay_1us+0, 0
;SHT_Sensors.c,193 :: 		SCL2 = 0;                           // SCL low
	BCF         RB3_bit+0, 3 
;SHT_Sensors.c,194 :: 		Delay_1us();                       // 1us delay
	CALL        _Delay_1us+0, 0
;SHT_Sensors.c,195 :: 		while (SDA2 == 1)                   // while SDA is high, do nothing
L_Measure31:
	BTFSS       RB2_bit+0, 2 
	GOTO        L_Measure32
;SHT_Sensors.c,196 :: 		Delay_1us();                     // 1us delay
	CALL        _Delay_1us+0, 0
	GOTO        L_Measure31
L_Measure32:
;SHT_Sensors.c,198 :: 		for (i = 1; i <=16; i++) {         // repeat 16 times
	MOVLW       1
	MOVWF       _i+0 
L_Measure33:
	MOVF        _i+0, 0 
	SUBLW       16
	BTFSS       STATUS+0, 0 
	GOTO        L_Measure34
;SHT_Sensors.c,199 :: 		k <<= 1;                         // move contents of k one place left
	RLCF        _k+0, 1 
	BCF         _k+0, 0 
	RLCF        _k+1, 1 
	RLCF        _k+2, 1 
	RLCF        _k+3, 1 
;SHT_Sensors.c,200 :: 		SCL2 = 1;                         // SCL high
	BSF         RB3_bit+0, 3 
;SHT_Sensors.c,201 :: 		if (SDA2 == 1)                    // if SDA is high
	BTFSS       RB2_bit+0, 2 
	GOTO        L_Measure36
;SHT_Sensors.c,202 :: 		k = k | 0x0001;
	BSF         _k+0, 0 
L_Measure36:
;SHT_Sensors.c,203 :: 		SCL2 = 0;
	BCF         RB3_bit+0, 3 
;SHT_Sensors.c,204 :: 		if (i == 8)                      // if counter i = 8 then
	MOVF        _i+0, 0 
	XORLW       8
	BTFSS       STATUS+0, 2 
	GOTO        L_Measure37
;SHT_Sensors.c,205 :: 		MCU_ACK();                     // MCU acknowledge
	CALL        _MCU_ACK+0, 0
L_Measure37:
;SHT_Sensors.c,198 :: 		for (i = 1; i <=16; i++) {         // repeat 16 times
	INCF        _i+0, 1 
;SHT_Sensors.c,206 :: 		}
	GOTO        L_Measure33
L_Measure34:
;SHT_Sensors.c,207 :: 		}
L_Measure25:
;SHT_Sensors.c,209 :: 		return k;                          // returns contents of k
	MOVF        _k+0, 0 
	MOVWF       R0 
	MOVF        _k+1, 0 
	MOVWF       R1 
	MOVF        _k+2, 0 
	MOVWF       R2 
	MOVF        _k+3, 0 
	MOVWF       R3 
;SHT_Sensors.c,210 :: 		}
	RETURN      0
; end of _Measure

_STartUpDelay:

;SHT_Sensors.c,212 :: 		void STartUpDelay(){
;SHT_Sensors.c,213 :: 		Delay_ms(20);
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       56
	MOVWF       R12, 0
	MOVLW       173
	MOVWF       R13, 0
L_STartUpDelay38:
	DECFSZ      R13, 1, 1
	BRA         L_STartUpDelay38
	DECFSZ      R12, 1, 1
	BRA         L_STartUpDelay38
	DECFSZ      R11, 1, 1
	BRA         L_STartUpDelay38
;SHT_Sensors.c,214 :: 		}
	RETURN      0
; end of _STartUpDelay

_DisplayMeasurements:

;SHT_Sensors.c,216 :: 		void DisplayMeasurements(unsigned short rownumber){
;SHT_Sensors.c,219 :: 		if(SOt > D1)                     // if temperature is positive
	MOVLW       128
	MOVWF       R0 
	MOVLW       128
	XORWF       _SOt+3, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__DisplayMeasurements54
	MOVF        _SOt+2, 0 
	SUBLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__DisplayMeasurements54
	MOVF        _SOt+1, 0 
	SUBLW       15
	BTFSS       STATUS+0, 2 
	GOTO        L__DisplayMeasurements54
	MOVF        _SOt+0, 0 
	SUBLW       170
L__DisplayMeasurements54:
	BTFSC       STATUS+0, 0 
	GOTO        L_DisplayMeasurements39
;SHT_Sensors.c,220 :: 		Tmp_res = SOt * D2 - D1;        // calculate temperature
	MOVF        _SOt+0, 0 
	MOVWF       _Tmp_res+0 
	MOVF        _SOt+1, 0 
	MOVWF       _Tmp_res+1 
	MOVF        _SOt+2, 0 
	MOVWF       _Tmp_res+2 
	MOVF        _SOt+3, 0 
	MOVWF       _Tmp_res+3 
	MOVLW       170
	SUBWF       _Tmp_res+0, 1 
	MOVLW       15
	SUBWFB      _Tmp_res+1, 1 
	MOVLW       0
	SUBWFB      _Tmp_res+2, 1 
	SUBWFB      _Tmp_res+3, 1 
	GOTO        L_DisplayMeasurements40
L_DisplayMeasurements39:
;SHT_Sensors.c,222 :: 		Tmp_res = D1 - SOt * D2;        // calculate temperature
	MOVLW       170
	MOVWF       _Tmp_res+0 
	MOVLW       15
	MOVWF       _Tmp_res+1 
	MOVLW       0
	MOVWF       _Tmp_res+2 
	MOVWF       _Tmp_res+3 
	MOVF        _SOt+0, 0 
	SUBWF       _Tmp_res+0, 1 
	MOVF        _SOt+1, 0 
	SUBWFB      _Tmp_res+1, 1 
	MOVF        _SOt+2, 0 
	SUBWFB      _Tmp_res+2, 1 
	MOVF        _SOt+3, 0 
	SUBWFB      _Tmp_res+3, 1 
L_DisplayMeasurements40:
;SHT_Sensors.c,226 :: 		temp = SOrh * SOrh * C3 / 100000;             // calculate humidity
	MOVF        _SOrh+0, 0 
	MOVWF       R0 
	MOVF        _SOrh+1, 0 
	MOVWF       R1 
	MOVF        _SOrh+2, 0 
	MOVWF       R2 
	MOVF        _SOrh+3, 0 
	MOVWF       R3 
	MOVF        _SOrh+0, 0 
	MOVWF       R4 
	MOVF        _SOrh+1, 0 
	MOVWF       R5 
	MOVF        _SOrh+2, 0 
	MOVWF       R6 
	MOVF        _SOrh+3, 0 
	MOVWF       R7 
	CALL        _Mul_32x32_U+0, 0
	MOVLW       4
	MOVWF       R8 
	MOVF        R0, 0 
	MOVWF       R4 
	MOVF        R1, 0 
	MOVWF       R5 
	MOVF        R2, 0 
	MOVWF       R6 
	MOVF        R3, 0 
	MOVWF       R7 
	MOVF        R8, 0 
L__DisplayMeasurements55:
	BZ          L__DisplayMeasurements56
	RLCF        R4, 1 
	BCF         R4, 0 
	RLCF        R5, 1 
	RLCF        R6, 1 
	RLCF        R7, 1 
	ADDLW       255
	GOTO        L__DisplayMeasurements55
L__DisplayMeasurements56:
	MOVF        R4, 0 
	MOVWF       R0 
	MOVF        R5, 0 
	MOVWF       R1 
	MOVF        R6, 0 
	MOVWF       R2 
	MOVF        R7, 0 
	MOVWF       R3 
	MOVLW       160
	MOVWF       R4 
	MOVLW       134
	MOVWF       R5 
	MOVLW       1
	MOVWF       R6 
	MOVLW       0
	MOVWF       R7 
	CALL        _Div_32x32_S+0, 0
	MOVF        R0, 0 
	MOVWF       _temp+0 
	MOVF        R1, 0 
	MOVWF       _temp+1 
	MOVF        R2, 0 
	MOVWF       _temp+2 
	MOVF        R3, 0 
	MOVWF       _temp+3 
;SHT_Sensors.c,227 :: 		Rh_res = SOrh * C2 / 100 - temp - C1;         // calculate humidity
	MOVF        _SOrh+0, 0 
	MOVWF       R0 
	MOVF        _SOrh+1, 0 
	MOVWF       R1 
	MOVF        _SOrh+2, 0 
	MOVWF       R2 
	MOVF        _SOrh+3, 0 
	MOVWF       R3 
	MOVLW       111
	MOVWF       R4 
	MOVLW       1
	MOVWF       R5 
	MOVLW       0
	MOVWF       R6 
	MOVWF       R7 
	CALL        _Mul_32x32_U+0, 0
	MOVLW       100
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	CALL        _Div_32x32_S+0, 0
	MOVF        R0, 0 
	MOVWF       _Rh_res+0 
	MOVF        R1, 0 
	MOVWF       _Rh_res+1 
	MOVF        R2, 0 
	MOVWF       _Rh_res+2 
	MOVF        R3, 0 
	MOVWF       _Rh_res+3 
	MOVF        _temp+0, 0 
	SUBWF       _Rh_res+0, 1 
	MOVF        _temp+1, 0 
	SUBWFB      _Rh_res+1, 1 
	MOVF        _temp+2, 0 
	SUBWFB      _Rh_res+2, 1 
	MOVF        _temp+3, 0 
	SUBWFB      _Rh_res+3, 1 
	MOVLW       205
	SUBWF       _Rh_res+0, 1 
	MOVLW       0
	SUBWFB      _Rh_res+1, 1 
	MOVLW       0
	SUBWFB      _Rh_res+2, 1 
	SUBWFB      _Rh_res+3, 1 
;SHT_Sensors.c,230 :: 		temp=(T1+(T2*SOrh))/1000;
	MOVLW       3
	MOVWF       R4 
	MOVF        _SOrh+0, 0 
	MOVWF       R0 
	MOVF        _SOrh+1, 0 
	MOVWF       R1 
	MOVF        _SOrh+2, 0 
	MOVWF       R2 
	MOVF        _SOrh+3, 0 
	MOVWF       R3 
	MOVF        R4, 0 
L__DisplayMeasurements57:
	BZ          L__DisplayMeasurements58
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R2, 1 
	RLCF        R3, 1 
	ADDLW       255
	GOTO        L__DisplayMeasurements57
L__DisplayMeasurements58:
	MOVLW       232
	ADDWF       R0, 1 
	MOVLW       3
	ADDWFC      R1, 1 
	MOVLW       0
	ADDWFC      R2, 1 
	ADDWFC      R3, 1 
	MOVLW       232
	MOVWF       R4 
	MOVLW       3
	MOVWF       R5 
	MOVLW       0
	MOVWF       R6 
	MOVWF       R7 
	CALL        _Div_32x32_S+0, 0
	MOVF        R0, 0 
	MOVWF       _temp+0 
	MOVF        R1, 0 
	MOVWF       _temp+1 
	MOVF        R2, 0 
	MOVWF       _temp+2 
	MOVF        R3, 0 
	MOVWF       _temp+3 
;SHT_Sensors.c,231 :: 		temp=((Tmp_res-2500)*temp)/100;
	MOVF        _Tmp_res+0, 0 
	MOVWF       R4 
	MOVF        _Tmp_res+1, 0 
	MOVWF       R5 
	MOVF        _Tmp_res+2, 0 
	MOVWF       R6 
	MOVF        _Tmp_res+3, 0 
	MOVWF       R7 
	MOVLW       196
	SUBWF       R4, 1 
	MOVLW       9
	SUBWFB      R5, 1 
	MOVLW       0
	SUBWFB      R6, 1 
	SUBWFB      R7, 1 
	CALL        _Mul_32x32_U+0, 0
	MOVLW       100
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	CALL        _Div_32x32_S+0, 0
	MOVF        R0, 0 
	MOVWF       _temp+0 
	MOVF        R1, 0 
	MOVWF       _temp+1 
	MOVF        R2, 0 
	MOVWF       _temp+2 
	MOVF        R3, 0 
	MOVWF       _temp+3 
;SHT_Sensors.c,232 :: 		Rh_res=temp+Rh_res;
	MOVF        R0, 0 
	ADDWF       _Rh_res+0, 1 
	MOVF        R1, 0 
	ADDWFC      _Rh_res+1, 1 
	MOVF        R2, 0 
	ADDWFC      _Rh_res+2, 1 
	MOVF        R3, 0 
	ADDWFC      _Rh_res+3, 1 
;SHT_Sensors.c,235 :: 		Tmp[0] = Tmp_res / 10000 + 48;                  // example: Tmp[5] = 12345 / 10000 = 1, 1 + 48 = '1' - ASCII
	MOVF        _Tmp+0, 0 
	MOVWF       FLOC__DisplayMeasurements+0 
	MOVF        _Tmp+1, 0 
	MOVWF       FLOC__DisplayMeasurements+1 
	MOVLW       16
	MOVWF       R4 
	MOVLW       39
	MOVWF       R5 
	MOVLW       0
	MOVWF       R6 
	MOVWF       R7 
	MOVF        _Tmp_res+0, 0 
	MOVWF       R0 
	MOVF        _Tmp_res+1, 0 
	MOVWF       R1 
	MOVF        _Tmp_res+2, 0 
	MOVWF       R2 
	MOVF        _Tmp_res+3, 0 
	MOVWF       R3 
	CALL        _Div_32x32_S+0, 0
	MOVLW       48
	ADDWF       R0, 1 
	MOVFF       FLOC__DisplayMeasurements+0, FSR1L
	MOVFF       FLOC__DisplayMeasurements+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;SHT_Sensors.c,236 :: 		Tmp[1] = Tmp_res % 10000 / 1000 + 48;           // example: Tmp[6] = 12345 % 10000 = 2345, Tmp[6] = 2345 / 1000 = 2, 2 + 48 = '2' - ASCII
	MOVLW       1
	ADDWF       _Tmp+0, 0 
	MOVWF       FLOC__DisplayMeasurements+0 
	MOVLW       0
	ADDWFC      _Tmp+1, 0 
	MOVWF       FLOC__DisplayMeasurements+1 
	MOVLW       16
	MOVWF       R4 
	MOVLW       39
	MOVWF       R5 
	MOVLW       0
	MOVWF       R6 
	MOVWF       R7 
	MOVF        _Tmp_res+0, 0 
	MOVWF       R0 
	MOVF        _Tmp_res+1, 0 
	MOVWF       R1 
	MOVF        _Tmp_res+2, 0 
	MOVWF       R2 
	MOVF        _Tmp_res+3, 0 
	MOVWF       R3 
	CALL        _Div_32x32_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVF        R10, 0 
	MOVWF       R2 
	MOVF        R11, 0 
	MOVWF       R3 
	MOVLW       232
	MOVWF       R4 
	MOVLW       3
	MOVWF       R5 
	MOVLW       0
	MOVWF       R6 
	MOVWF       R7 
	CALL        _Div_32x32_S+0, 0
	MOVLW       48
	ADDWF       R0, 1 
	MOVFF       FLOC__DisplayMeasurements+0, FSR1L
	MOVFF       FLOC__DisplayMeasurements+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;SHT_Sensors.c,237 :: 		Tmp[2] = Tmp_res % 1000 / 100 + 48;             // example: Tmp[7] = 12345 % 1000 = 345, Tmp[7] = 345 / 100 = 3, 3 + 48 = '3' - ASCII
	MOVLW       2
	ADDWF       _Tmp+0, 0 
	MOVWF       FLOC__DisplayMeasurements+0 
	MOVLW       0
	ADDWFC      _Tmp+1, 0 
	MOVWF       FLOC__DisplayMeasurements+1 
	MOVLW       232
	MOVWF       R4 
	MOVLW       3
	MOVWF       R5 
	MOVLW       0
	MOVWF       R6 
	MOVWF       R7 
	MOVF        _Tmp_res+0, 0 
	MOVWF       R0 
	MOVF        _Tmp_res+1, 0 
	MOVWF       R1 
	MOVF        _Tmp_res+2, 0 
	MOVWF       R2 
	MOVF        _Tmp_res+3, 0 
	MOVWF       R3 
	CALL        _Div_32x32_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVF        R10, 0 
	MOVWF       R2 
	MOVF        R11, 0 
	MOVWF       R3 
	MOVLW       100
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	CALL        _Div_32x32_S+0, 0
	MOVLW       48
	ADDWF       R0, 1 
	MOVFF       FLOC__DisplayMeasurements+0, FSR1L
	MOVFF       FLOC__DisplayMeasurements+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;SHT_Sensors.c,238 :: 		Tmp[4] = Tmp_res % 100 / 10 + 48;               // example: Tmp[9] = 12345 % 100 = 45, Tmp[9] = 45 / 10 = 4, 4 + 48 = '4' - ASCII
	MOVLW       4
	ADDWF       _Tmp+0, 0 
	MOVWF       FLOC__DisplayMeasurements+0 
	MOVLW       0
	ADDWFC      _Tmp+1, 0 
	MOVWF       FLOC__DisplayMeasurements+1 
	MOVLW       100
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	MOVF        _Tmp_res+0, 0 
	MOVWF       R0 
	MOVF        _Tmp_res+1, 0 
	MOVWF       R1 
	MOVF        _Tmp_res+2, 0 
	MOVWF       R2 
	MOVF        _Tmp_res+3, 0 
	MOVWF       R3 
	CALL        _Div_32x32_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVF        R10, 0 
	MOVWF       R2 
	MOVF        R11, 0 
	MOVWF       R3 
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	CALL        _Div_32x32_S+0, 0
	MOVLW       48
	ADDWF       R0, 1 
	MOVFF       FLOC__DisplayMeasurements+0, FSR1L
	MOVFF       FLOC__DisplayMeasurements+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;SHT_Sensors.c,242 :: 		Rh[0] = Rh_res % 10000 / 1000 + 48;           // example: Rh[6] = 12345 % 10000 = 2345, Rh[6] = 2345 / 1000 = 2, 2 + 48 = '2' - ASCII
	MOVF        _Rh+0, 0 
	MOVWF       FLOC__DisplayMeasurements+0 
	MOVF        _Rh+1, 0 
	MOVWF       FLOC__DisplayMeasurements+1 
	MOVLW       16
	MOVWF       R4 
	MOVLW       39
	MOVWF       R5 
	MOVLW       0
	MOVWF       R6 
	MOVWF       R7 
	MOVF        _Rh_res+0, 0 
	MOVWF       R0 
	MOVF        _Rh_res+1, 0 
	MOVWF       R1 
	MOVF        _Rh_res+2, 0 
	MOVWF       R2 
	MOVF        _Rh_res+3, 0 
	MOVWF       R3 
	CALL        _Div_32x32_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVF        R10, 0 
	MOVWF       R2 
	MOVF        R11, 0 
	MOVWF       R3 
	MOVLW       232
	MOVWF       R4 
	MOVLW       3
	MOVWF       R5 
	MOVLW       0
	MOVWF       R6 
	MOVWF       R7 
	CALL        _Div_32x32_S+0, 0
	MOVLW       48
	ADDWF       R0, 1 
	MOVFF       FLOC__DisplayMeasurements+0, FSR1L
	MOVFF       FLOC__DisplayMeasurements+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;SHT_Sensors.c,243 :: 		Rh[1] = Rh_res % 1000 / 100 + 48;             // example: Rh[7] = 12345 % 1000 = 345, Rh[7] = 345 / 100 = 3, 3 + 48 = '3' - ASCII
	MOVLW       1
	ADDWF       _Rh+0, 0 
	MOVWF       FLOC__DisplayMeasurements+0 
	MOVLW       0
	ADDWFC      _Rh+1, 0 
	MOVWF       FLOC__DisplayMeasurements+1 
	MOVLW       232
	MOVWF       R4 
	MOVLW       3
	MOVWF       R5 
	MOVLW       0
	MOVWF       R6 
	MOVWF       R7 
	MOVF        _Rh_res+0, 0 
	MOVWF       R0 
	MOVF        _Rh_res+1, 0 
	MOVWF       R1 
	MOVF        _Rh_res+2, 0 
	MOVWF       R2 
	MOVF        _Rh_res+3, 0 
	MOVWF       R3 
	CALL        _Div_32x32_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVF        R10, 0 
	MOVWF       R2 
	MOVF        R11, 0 
	MOVWF       R3 
	MOVLW       100
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	CALL        _Div_32x32_S+0, 0
	MOVLW       48
	ADDWF       R0, 1 
	MOVFF       FLOC__DisplayMeasurements+0, FSR1L
	MOVFF       FLOC__DisplayMeasurements+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;SHT_Sensors.c,244 :: 		Rh[3] = Rh_res % 100 / 10 + 48;               // example: Rh[9] = 12345 % 100 = 45, Rh[9] = 45 / 10 = 4, 4 + 48 = '4' - ASCII
	MOVLW       3
	ADDWF       _Rh+0, 0 
	MOVWF       FLOC__DisplayMeasurements+0 
	MOVLW       0
	ADDWFC      _Rh+1, 0 
	MOVWF       FLOC__DisplayMeasurements+1 
	MOVLW       100
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	MOVF        _Rh_res+0, 0 
	MOVWF       R0 
	MOVF        _Rh_res+1, 0 
	MOVWF       R1 
	MOVF        _Rh_res+2, 0 
	MOVWF       R2 
	MOVF        _Rh_res+3, 0 
	MOVWF       R3 
	CALL        _Div_32x32_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVF        R10, 0 
	MOVWF       R2 
	MOVF        R11, 0 
	MOVWF       R3 
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	CALL        _Div_32x32_S+0, 0
	MOVLW       48
	ADDWF       R0, 1 
	MOVFF       FLOC__DisplayMeasurements+0, FSR1L
	MOVFF       FLOC__DisplayMeasurements+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;SHT_Sensors.c,247 :: 		if (Tmp[0] == '0')                             // if Tmp[5] = '0' then
	MOVFF       _Tmp+0, FSR0L
	MOVFF       _Tmp+1, FSR0H
	MOVF        POSTINC0+0, 0 
	XORLW       48
	BTFSS       STATUS+0, 2 
	GOTO        L_DisplayMeasurements41
;SHT_Sensors.c,248 :: 		Tmp[0] = ' ';                                // insert blank character to Tmp[5]
	MOVFF       _Tmp+0, FSR1L
	MOVFF       _Tmp+1, FSR1H
	MOVLW       32
	MOVWF       POSTINC1+0 
L_DisplayMeasurements41:
;SHT_Sensors.c,249 :: 		if (Tmp[0] == ' ' && Tmp[1] == '0')             // if Tmp[5] is blank and Tmp[6] = '0' then
	MOVFF       _Tmp+0, FSR0L
	MOVFF       _Tmp+1, FSR0H
	MOVF        POSTINC0+0, 0 
	XORLW       32
	BTFSS       STATUS+0, 2 
	GOTO        L_DisplayMeasurements44
	MOVLW       1
	ADDWF       _Tmp+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      _Tmp+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	XORLW       48
	BTFSS       STATUS+0, 2 
	GOTO        L_DisplayMeasurements44
L__DisplayMeasurements53:
;SHT_Sensors.c,250 :: 		Tmp[1] = ' ';                                // insert blank character to Tmp[6]
	MOVLW       1
	ADDWF       _Tmp+0, 0 
	MOVWF       FSR1L 
	MOVLW       0
	ADDWFC      _Tmp+1, 0 
	MOVWF       FSR1H 
	MOVLW       32
	MOVWF       POSTINC1+0 
L_DisplayMeasurements44:
;SHT_Sensors.c,252 :: 		if (Rh[0] == '0')                             // if Tmp[5] = '0' then
	MOVFF       _Rh+0, FSR0L
	MOVFF       _Rh+1, FSR0H
	MOVF        POSTINC0+0, 0 
	XORLW       48
	BTFSS       STATUS+0, 2 
	GOTO        L_DisplayMeasurements45
;SHT_Sensors.c,253 :: 		Rh[0] = ' ';                                // insert blank character to Tmp[5]
	MOVFF       _Rh+0, FSR1L
	MOVFF       _Rh+1, FSR1H
	MOVLW       32
	MOVWF       POSTINC1+0 
L_DisplayMeasurements45:
;SHT_Sensors.c,254 :: 		if (Rh[0] == ' ' && Rh[1] == '0')             // if Tmp[5] is blank and Tmp[6] = '0' then
	MOVFF       _Rh+0, FSR0L
	MOVFF       _Rh+1, FSR0H
	MOVF        POSTINC0+0, 0 
	XORLW       32
	BTFSS       STATUS+0, 2 
	GOTO        L_DisplayMeasurements48
	MOVLW       1
	ADDWF       _Rh+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      _Rh+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	XORLW       48
	BTFSS       STATUS+0, 2 
	GOTO        L_DisplayMeasurements48
L__DisplayMeasurements52:
;SHT_Sensors.c,255 :: 		Rh[1] = ' ';                                // insert blank character to Tmp[6]
	MOVLW       1
	ADDWF       _Rh+0, 0 
	MOVWF       FSR1L 
	MOVLW       0
	ADDWFC      _Rh+1, 0 
	MOVWF       FSR1H 
	MOVLW       32
	MOVWF       POSTINC1+0 
L_DisplayMeasurements48:
;SHT_Sensors.c,258 :: 		Lcd_Out(rownumber, 4, Tmp);                            // display temperature on first row, i column
	MOVF        FARG_DisplayMeasurements_rownumber+0, 0 
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       4
	MOVWF       FARG_Lcd_Out_column+0 
	MOVF        _Tmp+0, 0 
	MOVWF       FARG_Lcd_Out_text+0 
	MOVF        _Tmp+1, 0 
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;SHT_Sensors.c,261 :: 		Lcd_Out(rownumber, 12, Rh);                            // display humidity on second row, i column
	MOVF        FARG_DisplayMeasurements_rownumber+0, 0 
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       12
	MOVWF       FARG_Lcd_Out_column+0 
	MOVF        _Rh+0, 0 
	MOVWF       FARG_Lcd_Out_text+0 
	MOVF        _Rh+1, 0 
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;SHT_Sensors.c,263 :: 		}
	RETURN      0
; end of _DisplayMeasurements

_main:

;SHT_Sensors.c,265 :: 		void main()
;SHT_Sensors.c,267 :: 		CMCON = 0x07;   // Disable comparators
	MOVLW       7
	MOVWF       CMCON+0 
;SHT_Sensors.c,268 :: 		ADCON1 = 0x0F;  // Disable Analog functions
	MOVLW       15
	MOVWF       ADCON1+0 
;SHT_Sensors.c,269 :: 		TRISC = 0x00;
	CLRF        TRISC+0 
;SHT_Sensors.c,270 :: 		TRISB = 0x00;
	CLRF        TRISB+0 
;SHT_Sensors.c,271 :: 		TRISC = 0;
	CLRF        TRISC+0 
;SHT_Sensors.c,272 :: 		SCL1_Direction = 0;                 // SCL is output
	BCF         TRISB1_bit+0, 1 
;SHT_Sensors.c,273 :: 		LCD_Init();                        // init LCD on PORTB (for EasyPIC3 or lower)
	CALL        _Lcd_Init+0, 0
;SHT_Sensors.c,274 :: 		LCD_Cmd(_LCD_CURSOR_OFF);          // turns of LCD cursor
	MOVLW       12
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;SHT_Sensors.c,275 :: 		LCD_Cmd(_LCD_CLEAR);               // clear LCD
	MOVLW       1
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;SHT_Sensors.c,276 :: 		Lcd_Out(1,1, "1:");
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr3_SHT_Sensors+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr3_SHT_Sensors+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;SHT_Sensors.c,277 :: 		Lcd_Out(2,1, "2:");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr4_SHT_Sensors+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr4_SHT_Sensors+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;SHT_Sensors.c,278 :: 		Tmp[5] = 223;                      // If you see greek alpha letter try typing 178 instead of 223
	MOVLW       5
	ADDWF       _Tmp+0, 0 
	MOVWF       FSR1L 
	MOVLW       0
	ADDWFC      _Tmp+1, 0 
	MOVWF       FSR1H 
	MOVLW       223
	MOVWF       POSTINC1+0 
;SHT_Sensors.c,279 :: 		Tmp[6] = 'C';                      // 'C' character
	MOVLW       6
	ADDWF       _Tmp+0, 0 
	MOVWF       FSR1L 
	MOVLW       0
	ADDWFC      _Tmp+1, 0 
	MOVWF       FSR1H 
	MOVLW       67
	MOVWF       POSTINC1+0 
;SHT_Sensors.c,280 :: 		Rh[4] = '%';                      // '%' character
	MOVLW       4
	ADDWF       _Rh+0, 0 
	MOVWF       FSR1L 
	MOVLW       0
	ADDWFC      _Rh+1, 0 
	MOVWF       FSR1H 
	MOVLW       37
	MOVWF       POSTINC1+0 
;SHT_Sensors.c,282 :: 		while (1) {
L_main49:
;SHT_Sensors.c,284 :: 		Select = 1;
	MOVLW       1
	MOVWF       _Select+0 
;SHT_Sensors.c,285 :: 		STartUpDelay();
	CALL        _STartUpDelay+0, 0
;SHT_Sensors.c,286 :: 		SCL1_Direction = 0;               // define SCL1 as output
	BCF         TRISB1_bit+0, 1 
;SHT_Sensors.c,287 :: 		SOt = Measure(0x03);             // function for measuring (command 0x03 is for temperature)
	MOVLW       3
	MOVWF       FARG_Measure_command+0 
	CALL        _Measure+0, 0
	MOVF        R0, 0 
	MOVWF       _SOt+0 
	MOVF        R1, 0 
	MOVWF       _SOt+1 
	MOVF        R2, 0 
	MOVWF       _SOt+2 
	MOVF        R3, 0 
	MOVWF       _SOt+3 
;SHT_Sensors.c,289 :: 		SOrh = Measure(0x05);            // function for measuring (command 0x05 is for humidity)
	MOVLW       5
	MOVWF       FARG_Measure_command+0 
	CALL        _Measure+0, 0
	MOVF        R0, 0 
	MOVWF       _SOrh+0 
	MOVF        R1, 0 
	MOVWF       _SOrh+1 
	MOVF        R2, 0 
	MOVWF       _SOrh+2 
	MOVF        R3, 0 
	MOVWF       _SOrh+3 
;SHT_Sensors.c,290 :: 		SCL1_Direction = 1;               // define SCL1 as input
	BSF         TRISB1_bit+0, 1 
;SHT_Sensors.c,291 :: 		DisplayMeasurements(1);
	MOVLW       1
	MOVWF       FARG_DisplayMeasurements_rownumber+0 
	CALL        _DisplayMeasurements+0, 0
;SHT_Sensors.c,294 :: 		Select = 2;
	MOVLW       2
	MOVWF       _Select+0 
;SHT_Sensors.c,295 :: 		STartUpDelay();
	CALL        _STartUpDelay+0, 0
;SHT_Sensors.c,296 :: 		SCL2_Direction = 0;               // define SCL2 as output
	BCF         TRISB3_bit+0, 3 
;SHT_Sensors.c,297 :: 		SOt = Measure(0x03);             // function for measuring (command 0x03 is for temperature)
	MOVLW       3
	MOVWF       FARG_Measure_command+0 
	CALL        _Measure+0, 0
	MOVF        R0, 0 
	MOVWF       _SOt+0 
	MOVF        R1, 0 
	MOVWF       _SOt+1 
	MOVF        R2, 0 
	MOVWF       _SOt+2 
	MOVF        R3, 0 
	MOVWF       _SOt+3 
;SHT_Sensors.c,299 :: 		SOrh = Measure(0x05);            // function for measuring (command 0x05 is for humidity)
	MOVLW       5
	MOVWF       FARG_Measure_command+0 
	CALL        _Measure+0, 0
	MOVF        R0, 0 
	MOVWF       _SOrh+0 
	MOVF        R1, 0 
	MOVWF       _SOrh+1 
	MOVF        R2, 0 
	MOVWF       _SOrh+2 
	MOVF        R3, 0 
	MOVWF       _SOrh+3 
;SHT_Sensors.c,300 :: 		SCL2_Direction = 1;               // define SCL2 as input
	BSF         TRISB3_bit+0, 3 
;SHT_Sensors.c,301 :: 		DisplayMeasurements(2);
	MOVLW       2
	MOVWF       FARG_DisplayMeasurements_rownumber+0 
	CALL        _DisplayMeasurements+0, 0
;SHT_Sensors.c,302 :: 		Delay_ms(2000);                  // delay 1s
	MOVLW       122
	MOVWF       R11, 0
	MOVLW       193
	MOVWF       R12, 0
	MOVLW       129
	MOVWF       R13, 0
L_main51:
	DECFSZ      R13, 1, 1
	BRA         L_main51
	DECFSZ      R12, 1, 1
	BRA         L_main51
	DECFSZ      R11, 1, 1
	BRA         L_main51
	NOP
	NOP
;SHT_Sensors.c,303 :: 		}
	GOTO        L_main49
;SHT_Sensors.c,304 :: 		}
	GOTO        $+0
; end of _main
